Package ru.bitel.bgbilling.modules.rcmts.server.bean

# Class ContractDataHelper

java.lang.Object
ru.bitel.bgbilling.modules.rcmts.server.bean.ContractDataHelper

All Implemented Interfaces:
  `AutoCloseable`

public class ContractDataHelper extends Object implements AutoCloseable
Вспомогательный класс для работы с данными договора (параметры, адрес и т.д.)

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractDataHelper(Contract contract, Connection connection, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `boolean`
  `contractIsActive()`
  `String`
  `getAddress()`
  `BigDecimal`
  `getBalance()`
  `Connection`
  `getConnection()`
  `Contract`
  `getContract()`
  `int`
  `getContractId()`
  `String`
  `getFio()`
  `String`
  `getFirstName()`
  `String`
  `getLastName()`
  `String`
  `getMiddleName()`
  `ModuleSetup`
  `getModuleSetup()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractDataHelper

    public ContractDataHelper(Contract contract, Connection connection, int moduleId)

- ## Method Details

  - ### getAddress

    public String getAddress() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFio

    public String getFio() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFirstName

    public String getFirstName()

  - ### getLastName

    public String getLastName()

  - ### getMiddleName

    public String getMiddleName()

  - ### getBalance

    public BigDecimal getBalance()

  - ### getConnection

    public Connection getConnection()

  - ### getContract

    public Contract getContract()

  - ### getContractId

    public int getContractId()

  - ### getModuleSetup

    public ModuleSetup getModuleSetup()

  - ### contractIsActive

    public boolean contractIsActive()

  - ### close

    public void close() throws Exception
    Specified by:
      `close` in interface `AutoCloseable`
    Throws:
      `Exception`